Gentoo on Pinebook Pro RELEASE
#11
@jannik2099 thanks for your work.

Can you show me your boot.scr ?
  Reply
#12
@delcaran , sorry, stuff broke because a dependency changed in the repo. There's not really an automated way to do the required things so I manually have to adapt the script every time this happens - I should probably set up an automated test suite

I tried to reproduce this with both the systemd and openrc tarball but couldn't do that, perhaps the repo was updated again? Either way, I've updated the script to run dispatch-conf , which will prompt you to manually merge these changes should they be required (press m, then r, then u). Please download the script again and try in a fresh tarball

@ElektromAn gentoo devs are working on migrating portage to python 3, this is nothing I can influence. Wether people want to use or mask the python 2_7 useflag is their choice

@as400 I use extlinux.conf, see https://github.com/Jannik2099/gentoo-pin...aster/boot . This is what your /boot should look like, with kernel, dtb and if needed initramfs made and installed accordingly
  Reply
#13
(01-21-2020, 10:44 AM)jannik2099 Wrote: @ElektromAn gentoo devs are working on migrating portage to python 3, this is nothing I can influence. Wether people want to use or mask the python 2_7 useflag is their choice
Wrong ;-)
portage aka emerge is *already* working with python > 2.7
This is from my notebook running Sabayon a gentoo flavour.
Code:
elektroman@T450s ~ $ cat /var/db/pkg/sys-apps/portage-2.3.69/USE
abi_x86_64 amd64 elibc_glibc ipc kernel_linux native-extensions python_targets_python2_7 python_targets_python3_6 rsync-verify userland_GNU xattr
elektroman@T450s ~ $ sudo eselect python list
Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7
  [3]   python3.5

Python 3.6 is active
Anyway

I'm preparing/compiling included a "emerge --depclean" to remove py2, as they call this on gentoo-dev on IRC
I need some to check other (stuff) with gentoo aka /var/db/repos, I'm familiar with old "deprecated" /usr/portrage

Also the thing I discovered ~2 years ago while crosscompiling the new
"eselect repository"

layman is also deprecated
And mixing layman and eselect is a bad idea

I've cloned your repo on git, currently (also) need to setup my "environment" for working on this ;-)
And I must figure out how I do "pull request" via web, I usually do this via mail.

Hopefully this will be done until FOSDEM and I can (if someone whishes) upload this on my webpage
  Reply
#14
Sorry for that wrong claim then, I haven't familiarized myself with the python situation yet.

I had no idea layman was deprecated, I'll try see if I can figure out how to replace it with eselect-repository later. This should shave off a good chunk of the script build time, thanks!
  Reply
#15
No need to say sorry, everyone make mistakes ...
And I've done the most ;-)

Hmmmf,

I remember I have seen some layman code in your repository ...
Ahh you've updated this already

This is for make.conf

Code:
PYTHON_TARGETS="python3_5 python3_6"
PYTHON_SINGLE_TARGET="python3_6"

and emerge
Code:
emerge -O =dev-lang/python:3.5 =dev-lang/python:3.6

now rebuild the stage

From https://wiki.gentoo.org/wiki/Gentoo_Cheat_Sheet

you should run

Code:
emerge --update --newuse --deep --quiet @world
and

Code:
emerge -av --depclean

maybe I missing something ...
  Reply
#16
I'll leave that choice to the user, that's what Gentoo is all about after all. The migration to eselect-repository should now be complete after I pushed my brainfarts twice to master without proofreading...
  Reply
#17
Just got my PBP today, compiling this on an SD at the moment with the help of an old, but updated, Gentoo distcc vm I had stashed from my rpi3 arm64 days, so far only note I have is the script adds the repo based on git but the stage3 didn't have git, unless I missed it you may want to add installing in the instructions, or the script, but either way thanks for all your work!
  Reply
#18
Oh goddamnit, yeah now that I switched to eselect-repository it doesn't pull in git as a dependency anymore... I've added that now
  Reply
#19
(01-21-2020, 10:44 AM)jannik2099 Wrote: @delcaran , sorry, stuff broke because a dependency changed in the repo. There's not really an automated way to do the required things so I manually have to adapt the script every time this happens - I should probably set up an automated test suite

I tried to reproduce this with both the systemd and openrc tarball but couldn't do that, perhaps the repo was updated again? Either way, I've updated the script to run dispatch-conf , which will prompt you to manually merge these changes should they be required (press m, then r, then u). Please download the script again and try in a fresh tarball
Thanks man, I know keeping track of depencies is a real pain, as a Slackware user and professional developer, I share a lot of that pain Smile
Anyway, I'll keep track of your repo for all the other changes you've main and try something after work.
Thanks again!
  Reply
#20
(01-21-2020, 11:43 PM)jannik2099 Wrote: Oh goddamnit, yeah now that I switched to eselect-repository it doesn't pull in git as a dependency anymore... I've added that now

Also, the repos.conf directory is missing, I made a pull request on your repo.

Now I'm compiling the musl hardened profile, I'll give some feedback when it ends.

I must had that I tryed this stage3 but emerge says it can't find /usr/portage, which in fact the script deleted before. This error does not happen with the stage3 I'm currently using, but this variability worries me... I really hope that emerging a musl hardened profile with musl vanilla stage3 will not result in errors...
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  An unofficial Debian Installer for Pinebook Pro danielt 430 151,514 7 hours ago
Last Post: ab1jx
  OpenMandriva to release ARM builds for PineBook Pro and Pi ludix 8 760 Yesterday, 04:38 PM
Last Post: wdt
  postmarketOS/Alpine edge image for the Pinebook Pro MartijnBraam 62 31,321 02-14-2021, 12:25 PM
Last Post: pmjohann
  Pinebook Pro wifi not working seyo-iv 1 188 02-01-2021, 11:00 AM
Last Post: seyo-iv
  slarm64 (unofficial slackware) Pinebook Pro RK3399 (aarch64) mara 25 3,539 01-30-2021, 11:03 AM
Last Post: mara
  FLOSS pinebook pro linux set-up misha64 3 1,098 01-14-2021, 04:05 PM
Last Post: kuleszdl
  My Debian journey on the Pinebook Pro schwarzwieweiss 32 3,823 01-07-2021, 09:35 AM
Last Post: schwarzwieweiss
  Armbian for the Pinebook Pro [WIP] Luke 41 14,086 01-06-2021, 06:14 PM
Last Post: Idaho
Question Help: Pinebook Pro will not enter sleep [Manjaro 20.04] EverythingIsInput 48 17,466 12-30-2020, 09:08 AM
Last Post: wdt
Question New to Pinebook Pro and lots of questions! Anarethos 2 496 12-29-2020, 03:39 PM
Last Post: Anarethos

Forum Jump:


Users browsing this thread: 1 Guest(s)